Package org.linphone.core

# Interface InfoMessage

public interface InfoMessage
Object representing an informational message sent or received by the core.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHeader(String name, String value)`
Add a header to an info message to be sent.
`Content`
`getContent()`
Returns the info message's content as a `Content` structure.
`String`
`getHeader(String name)`
Obtain a header value from a received info message.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setContent(Content content)`
Assign a content to the info message.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getContent

@Nullable Content getContent()
Returns the info message's content as a `Content` structure.

Returns:
  the `Content` object.

### setContent

void setContent(@Nullable Content content)
Assign a content to the info message.
All fields of the `Content` are copied, thus the application can
destroy/modify/recycloe the content object freely ater the function returns.

Parameters:
  `content` - the content described as a `Content` structure.

### addHeader

void addHeader(@NonNull String name, @Nullable String value)
Add a header to an info message to be sent.

Parameters:
  `name` - the header'name
  `value` - the header's value

### getHeader

@Nullable String getHeader(@NonNull String name)
Obtain a header value from a received info message.

Parameters:
  `name` - the header'name
Returns:
  the corresponding header's value, or null if not exists.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`